aboutsummaryrefslogtreecommitdiffhomepage
path: root/examples/scripts/yank.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/scripts/yank.sh')
-rwxr-xr-xexamples/scripts/yank.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/examples/scripts/yank.sh b/examples/scripts/yank.sh
index d4926be..ee140c7 100755
--- a/examples/scripts/yank.sh
+++ b/examples/scripts/yank.sh
@@ -2,10 +2,11 @@
# in your uzbl config, make the first argument the number of the (later) argument you want to use (see README for list of args)
# make the 2nd argument one of : primary, secondary, clipboard.
# examples:
-# bind yurl = spawn ./examples/scripts/yank.sh 8 primary
-# bind ytitle = spawn ./examples/scripts/yank.sh 9 clipboard
+# bind yurl = spawn ./examples/scripts/yank.sh 6 primary
+# bind ytitle = spawn ./examples/scripts/yank.sh 7 clipboard
which xclip &>/dev/null || exit 1
-[ "$2" == primary -o "$2" == secondary -o "$2" == clipboard ] || exit 2
+[ "$9" == primary -o "$9" == secondary -o "$9" == clipboard ] || exit 2
-echo -n "${!1}" | xclip -selection $2 \ No newline at end of file
+echo echo -n "${!8}" '|' xclip -selection $9
+echo -n "${!8}" | xclip -selection $9